/* Copyright 2009 WiiGator. */

.section .text.entry, "wx"
.global base_offset1
.global jumptable1

/* This is the file header: */
jumptable1:
	.long dvd_read_replacement1
	.long dvd_read_orig1
#ifdef FULL_PATCH
	.long dvd_reset_replacement1
	.long dvd_reset_orig1
#else
	.long 0
	.long 0
#endif
#ifdef MIOS_PLUGIN
	.long dvd_read_id_replacement1
	.long dvd_read_id_orig1
#else
	.long 0
	.long 0
#endif
#ifdef REPLACE_DVD_CALLBACK
	.long dvd_callback_entry1
#else
	.long 0
#endif
#ifdef GEKKO_DEBUG
	.long stream_write_replacement1
#ifdef MIOS_PLUGIN
	.long printf_replacement1
#else
	.long 0
#endif
#else
	.long 0
	.long 0
#endif
base_offset1:
	.long 0
reload_patch_start1:
	.long 0
reload_patch_size1:
	.long 0
reload_patch_number1:
	.long 0
#ifndef MIOS_PLUGIN /* not enough memory */
	.long dvd_seek_replacement1
#else
	.long 0
#endif

#ifdef RELOAD_SUPPORT
	.long 0xdeadc0b0 /* Magic number means reload support. */

.global base_offset2
.global jumptable2

jumptable2:
	.long dvd_read_replacement2
	.long dvd_read_orig2
#ifdef FULL_PATCH
	.long dvd_reset_replacement2
	.long dvd_reset_orig2
#else
	.long 0
	.long 0
#endif
#ifdef MIOS_PLUGIN
	.long dvd_read_id_replacement2
	.long dvd_read_id_orig2
#else
	.long 0
	.long 0
#endif
#ifdef REPLACE_DVD_CALLBACK
	.long dvd_callback_entry2
#else
	.long 0
#endif
#ifdef GEKKO_DEBUG
	.long stream_write_replacement2
#ifdef MIOS_PLUGIN
	.long printf_replacement2
#else
	.long 0
#endif
#else
	.long 0
	.long 0
#endif
base_offset2:
	.long 0
reload_patch_start2:
	.long 0
reload_patch_size2:
	.long 0
reload_patch_number2:
	.long 0
#ifndef MIOS_PLUGIN /* not enough memory */
	.long dvd_seek_replacement2
#else
	.long 0
#endif
#endif
	/* End mark: */
	.long 0
