#ifndef _GCPLUGIN_H_
#define _GCPLUGIN_H_

#include <gctypes.h>

/** Load address of game plugin. */
#define GAME_PLUGIN_BASE ((void*) 0x80001800)
/** Load address of mios plugin. */
#define MIOS_PLUGIN_BASE ((void*) 0x80001800)

#define RELOAD_MAGIC 0xdeadc0b0

typedef struct {
	u32 *dvd_read_replacement;
	u32 *dvd_read_orig;
	u32 *dvd_reset_replacement;
	u32 *dvd_reset_orig;
	u32 *dvd_read_id_replacement;
	u32 *dvd_read_id_orig;
	u32 *dvd_callback_entry;
	u32 *stream_write_replacement;
	u32 *printf_replacement;
	u32 base_offset;
	u32 reload_patch_start;
	u32 reload_patch_size;
	u32 reload_patch_number;
	u32 dvd_seek_replacement;
	u32 magic;
} gcplugin_jumptable_t;

#endif
