#ifndef _GCPLUGIN_H_
#define _GCPLUGIN_H_

#include "types.h"

typedef struct {
	u32 *dvd_read_replacement;
	u32 *dvd_read_orig;
	u32 *dvd_reset_replacement;
	u32 *dvd_reset_orig;
	u32 *dvd_read_id_replacement;
	u32 *dvd_read_id_orig;
	u32 *dvd_callback_entry;
	u32 *stream_write_replacement;
	u32 *printf_replacement;
	u32 base_offset;
#ifdef RELOAD_SUPPORT
	u32 reload_patch_start;
	u32 reload_patch_size;
	u32 reload_patch_number;
#else
	u32 unused1;
	u32 unused2;
	u32 unused3;
#endif
	u32 dvd_seek_replacement;
	u32 magic;
} gcplugin_jumptable_t;

extern gcplugin_jumptable_t jumptable1;

/** Base offset for read (set by gcbackuplauncher). */
extern unsigned long base_offset1;

#ifdef RELOAD_SUPPORT
/** Base offset for read (set by gcbackuplauncher). */
extern gcplugin_jumptable_t jumptable2;
extern unsigned long base_offset2;

extern int jmpNr;
#endif

#if 0 /* not enough memory. */
#ifdef GEKKO_DEBUG
void printDVDRegs(void);
#endif
#endif

#endif
